API

Online News Search Direct API

The AI-powered Online News Monitor provides 360° Global Media Data & Intelligence on Digital-native news outlets, online newspapers, broadcasters, wire services, and digital magazines.

Riferimento API Versione: 1.0.0 3 Endpoint Autenticazione
Online News Monitor

URL base

https://pressmonitor.com/api

Autenticazione

Tutte le richieste richiedono gli header x-api-key e x-subscription-id. x-api-key autentica il tuo account; x-subscription-id seleziona il servizio sottoscritto.

x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /headlines

Get News Headlines

Parametri

Nome Tipo Posizione Obbligatorio Descrizione
keywords_text string query Sì Primary keyword query used for direct news retrieval
lang_code string query No Filter by language code (ISO 639-1)
country_code string query No Filter by country code (ISO 3166-1 alpha-2)
count integer query No Number of results to return
cursor string query No Pagination cursor for next page
date_from string query No Start date for news (YYYY-MM-DD format)
date_to string query No End date for news (YYYY-MM-DD format)
sort string query No Sort order (date or relevance)

Esempi di codice

curl -X GET \
  "https://pressmonitor.com/api/headlines?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&date_from=VALUE&date_to=VALUE&sort=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Risposte

200 Success
GET /briefs

Get News Briefs

Parametri

Nome Tipo Posizione Obbligatorio Descrizione
keywords_text string query Sì Primary keyword query used for direct news retrieval
lang_code string query No Filter by language code (ISO 639-1)
country_code string query No Filter by country code (ISO 3166-1 alpha-2)
count integer query No Number of results to return
cursor string query No Pagination cursor for next page
date_from string query No Start date for news (YYYY-MM-DD format)
date_to string query No End date for news (YYYY-MM-DD format)
sort string query No Sort order (date or relevance)

Esempi di codice

curl -X GET \
  "https://pressmonitor.com/api/briefs?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&date_from=VALUE&date_to=VALUE&sort=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Risposte

200 Success
GET /fulltext

Get Full-Text News

Parametri

Nome Tipo Posizione Obbligatorio Descrizione
keywords_text string query Sì Primary keyword query used for direct news retrieval
lang_code string query No Filter by language code (ISO 639-1)
country_code string query No Filter by country code (ISO 3166-1 alpha-2)
count integer query No Number of results to return
cursor string query No Pagination cursor for next page
date_from string query No Start date for news (YYYY-MM-DD format)
date_to string query No End date for news (YYYY-MM-DD format)
sort string query No Sort order (date or relevance)

Esempi di codice

curl -X GET \
  "https://pressmonitor.com/api/fulltext?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&date_from=VALUE&date_to=VALUE&sort=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Risposte

200 Success